#NoTrayIcon

Loop, %0%
{
    hWnd := %A_Index%
    Create_Shortcuts( hWnd )
}
Return

Create_Shortcuts( hWnd )
{
    ; Activate last active window according to FARR.
    WinActivate, % "ahk_id " . hWnd
    WinWaitActive, % "ahk_id " . hWnd
    
    ; Save current clipboard contents for restoration later.
    Clipboard_Saved := Clipboard
    
    ; Clear clipboard
    Clipboard := ""
    
    ; Get Explorer selection to the clipboard.
    SendInput, ^c
    
    ; Wait three seconds for the clipboard to contain data.
    ClipWait, 3
    
    ; Error-checking for the ClipWait.
    If ( ErrorLevel != 0 )
    {
        MsgBox, The Clipboard timed out.
        Return
    }
    
    ; Create shortcuts.
    Loop, Parse, Clipboard, `n, `r
    {
        If ( A_LoopField != "" )
        {
            SplitPath, A_LoopField, , OutDir, , OutNameNoExt
            FileCreateShortcut, % A_LoopField, % A_Desktop . "\" . OutNameNoExt . ".lnk", % OutDir
        }
    }
    
    ; Restore clipboard.
    Clipboard := Clipboard_Saved
    
    ; Free memory.
    Clipboard_Saved := ""
}

; EOF
